import { lazy, Suspense } from 'react';
import { UploadPlaceholder } from '@/components/loading/PageSkeletons';
import { UppyPhotoSubmissionUploadProps } from '@/types/submissions';

const UppyPhotoSubmissionUpload = lazy(() => 
  import('./UppyPhotoSubmissionUpload').then(module => ({ default: module.UppyPhotoSubmissionUpload }))
);

export function UppyPhotoSubmissionUploadLazy(props: UppyPhotoSubmissionUploadProps) {
  return (
    <Suspense fallback={<UploadPlaceholder />}>
      <UppyPhotoSubmissionUpload {...props} />
    </Suspense>
  );
}
